5.1.1.5.2. Drag and Drop in List Components
Prev | 5.1.1.5. Drag and drop | Next

#### 5.1.1.5.2. Drag and Drop in List Components

Drag Entry by Index

- This action drags the list item you specify.

- The item is specified by its index in the list.

- The cursor is moved over the component.

- The mouse button you specify is held, and the item is dragged.

- Follow this action with a drop action.

- Parameters:

  - Mouse Button

  - Modifier Keys

  - Index

Drag Entry by Value

- This action drags the list item you specify.

- The item is specified by its value in the list.

- The cursor is moved over the component.

- The mouse button you specify is held, and the item is dragged.

- Follow this action with a drop action.

- Parameters:

  - Mouse Button

  - Modifier Keys

  - Text

  - Operator

  - Search Type

Drop on Entry by Index

- This action drops a list item.

- The item on which to drop the dragged item is specified by its index in the list.

- The cursor is moved over the component.

- The mouse button is let loose, and the item is dropped.

- Precede this action with a drag action.

- Parameters:

  - Index

  - Delay before drop

Drop on Entry by Value

- This action drops a list item.

- The item on which to drop the dragged item is specified by its value in the list.

- The cursor is moved over the component.

- The mouse button is let loose, and the item is dropped.

- Precede this action with a drag action.

- Parameters:

  - Text

  - Operator

  - Search Type

  - Delay before drop